<?php

/**
* @package manifest for this file
* @version 0.1
* @ts 2014-04-16 14:37
* @author http://andrzej.borowicz.info/smf
* @copyright http://andrzej.borowicz.info/smf
* @license Creative Commons Attribution 3.0 Unported License http://creativecommons.org/licenses/by/3.0/
*/

// If SSI.php is in the same place as this file, and SMF isn't defined...
if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
	require_once(dirname(__FILE__) . '/SSI.php');

// Hmm... no SSI.php and no SMF?
elseif (!defined('SMF'))
	die('<b>Error:</b> Cannot uninstall - please verify your files.');

global $sourcedir, $smcFunc;

$abSearchStat = 1;

$smcFunc['db_query']('', '
    DELETE FROM {db_prefix}settings
	WHERE (variable LIKE "abSearchStat%") OR variable = {int:abSearchStat}',
    array(
        'abSearchStat' => array('abSearchStat' => 1),
    )
);

remove_integration_function('integrate_pre_include', '$sourcedir/Subs-absearchstat.php');
remove_integration_function('integrate_admin_areas', 'abSearchStat_add2menu', true);
remove_integration_function('integrate_modify_modifications', 'abSearchStat_addSubAction');

?>